Skip to main content
PUT
Replace a Connection's data policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31
idempotency-key
string
required
Required string length: 1 - 255

Path Parameters

id
string
required
Pattern: ^conn_[0-9a-f]{32}$

Body

application/json

Replace a Connection's data policy at the version the caller last read.

expected_version
integer
required
Required range: x >= 0
policy
object
required

Whether this Connection may receive Session content, with per-tool overrides that can only deny.

Response

A Connection's current data policy and its replacement version.

A Connection's current data policy and its replacement version.

connection_id
string
required
Pattern: ^conn_[0-9a-f]{32}$
policy
object | null
required

Whether this Connection may receive Session content, with per-tool overrides that can only deny.

version
integer
required
Required range: x >= 0
updated_at
string | null
required